package com.boman.common.core.utils;

import com.alibaba.fastjson.JSONArray;
import com.boman.common.core.utils.obj.ObjectUtils;

/**
 * @author shiqian
 * @date 2021年03月26日 11:07
 **/
public class JSONArrayUtils {
    
    public static long[] jsonArrayToLongArray(JSONArray jsonArray){
        ObjectUtils.requireNonNull(jsonArray);
        long[] result = new long[jsonArray.size()];
        for (int i = 0; i < jsonArray.size(); i++) {
            result[i] = jsonArray.getLong(i);
        }

        return result;
    }

}
